import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:worksdata/services/api.dart';

class ApiService {
  ApiService({this.api});

  final API api;

  void get(String path, {Map queryParameters}) {
    var finalUrl = api.endpointUrl(path);

    if (queryParameters != null) {
      queryParameters.forEach((k, v) {
        finalUrl += !finalUrl.contains('?') ? '?$k=$v' : '&$k=$v';
      });
    }
    print(finalUrl);
    http.get(finalUrl);
  }

  void post(String path, {Map body}) {
    http.post(
      api.endpointUrl(path),
      headers: {
        'Content-type': 'application/json',
      },
      body: json.encode(body),
    );
  }
}
